import { Fetch } from "@libp2p/fetch";
import { AbstractGossipLog } from "@canvas-js/gossiplog";
import type { ServiceMap, NetworkConfig } from "../../interface.js";
export declare const defaultRelayServer = "/dns4/canvas-relay-server.fly.dev/tcp/443/wss/p2p/12D3KooWLR64DxxPcW1vA6uyC74RYHEsoHwJEmCJRavTihLYmBZN";
export declare const defaultTurnServer = "turn:canvas-turn-server.fly.dev:3478?transport=udp";
export declare const defaultStunServer = "stun:stun.l.google.com:19302";
export declare function getLibp2p<Payload>(config: NetworkConfig, messageLog: AbstractGossipLog<Payload>): Promise<import("libp2p").Libp2p<ServiceMap<Payload> & {
    fetch: Fetch;
}>>;
