import type { Key, Node } from "@canvas-js/okra";
import * as Sync from "#protocols/sync";
export declare const encodeKey: (key: Key) => Uint8Array;
export declare function encodeNode({ level, key, hash }: Node): Sync.Node;
export declare const decodeKey: (key: Uint8Array) => Uint8Array | null;
export declare function decodeNode({ level, key, hash }: Sync.Node): Node;
