export const encodeKey = (key) => key ?? new Uint8Array([]);
export function encodeNode({ level, key, hash }) {
    return { level, key: encodeKey(key), hash };
}
export const decodeKey = (key) => (key.length === 0 ? null : key);
export function decodeNode({ level, key, hash }) {
    return { level, key: decodeKey(key), hash };
}
