import type { Libp2p } from "@libp2p/interface";
import { AbstractGossipLog } from "@canvas-js/gossiplog";
import type { ServiceMap, NetworkConfig } from "../../interface.js";
export declare const getTopicDHTProtocol: (topic: string) => string;
export declare function getLibp2p<Payload>(config: NetworkConfig, messageLog: AbstractGossipLog<Payload>): Promise<Libp2p<ServiceMap<Payload>>>;
