import type { Uint8ArrayList } from "uint8arraylist";
import * as Sync from "#protocols/sync";
import { SyncServer } from "../interface.js";
export declare function encodeResponses(responses: AsyncIterable<Sync.Response>): AsyncIterable<Uint8Array>;
export declare function decodeRequests(requests: AsyncIterable<Uint8ArrayList | Uint8Array>): AsyncIterable<Sync.Request>;
export declare class Server {
    readonly source: SyncServer;
    readonly log: import("@libp2p/logger").Logger;
    constructor(source: SyncServer);
    handle(reqs: AsyncIterable<Sync.Request>): AsyncIterable<Sync.Response>;
}
